SimpleInputHandler (BioJava-1.5-beta API)
Keywords: org.biojava.utils.process.SimpleInputHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.process
Class SimpleInputHandler

    java.lang.Object
      org.biojava.utils.process.StreamPipe
          org.biojava.utils.process.SimpleInputHandler

All Implemented Interfaces:
  Runnable, InputHandler

    public final class SimpleInputHandler

extends StreamPipe
implements InputHandler

Simple input handler that reads the input for an external process from an input stream. The output stream for the input of the external process is closed after the input stream is read to its end.

Version:
  $Revision: 1.1 $
Author:
  Martin Szugat

Constructor Summary
`SimpleInputHandler(InputStream input, String tag)` Initializes the simple input handler.

Method Summary
`void` | `run()`

Methods inherited from class org.biojava.utils.process.StreamPipe
`getInput, getOutput, setInput, setOutput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.utils.process.InputHandler
`getOutput, setOutput`

Constructor Detail

### SimpleInputHandler

    public SimpleInputHandler(InputStream input,
                              String tag)

  Initializes the simple input handler.

  Parameters:
    `input` - the input stream from which to read the input for the external process. May be `null`.
    `tag` - a tag for logging. May be `null`.

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `StreamPipe`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD